.fade-text {
    transition: .25s ease-in-out color;
}

.fade-bg {
    transition: .25s ease-in-out background-color;
}

.fade-text-bg {
    transition: .2s ease-in-out color, .25s ease-in-out background-color;
}

.pulse {
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 1);
    transform: scale(1);
    animation: pulse 2s infinite;
}

.pulse--small {
    animation: pulse-small 2s infinite;
}

@keyframes pulse {
    0% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(229, 62, 62, 0.3);
    }

    70% {
        transform: scale(1);
        box-shadow: 0 0 0 20px rgba(0, 0, 0, 0);
    }

    100% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
}

@keyframes pulse-small {
    0% {
        transform: scale(0.9);
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.3);
    }

    70% {
        transform: scale(1);
        box-shadow: 0 0 0 15px rgba(0, 0, 0, 0);
    }

    100% {
        transform: scale(0.9);
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
}

.pulse-clock {
    animation: pulse-clock 2s infinite;
    text-shadow: 0 0 0 rgba(0, 0, 0, 0);
}

@keyframes pulse-clock {
    0% {
        text-shadow: 0 0 0 rgba(0, 0, 0, 0);
    }
    50% {
        text-shadow: 0 0 15px rgba(0, 0, 0, .8);
    }
    100% {
        text-shadow: 0 0 0 rgba(0, 0, 0, 0);
    }
}

.pulse-active-item {
    animation: pulse-active-item 10s infinite;
}

@keyframes pulse-active-item {
    0% {
        background-color: #c6f6d5;
    }
    80% {
        background-color: #c6f6d5;
    }
    85% {
        background-color: #68d391;
    }
    90% {
        background-color: #c6f6d5;
    }
    95% {
        background-color: #68d391;
    }
    100% {
        background-color: #c6f6d5;
    }
}
